import { connect } from 'react-redux';

import { getProfile } from '../../selectors/profile.js';
import { matchStateToProps as matchCommonStateProps } from './Profile.stateProps.js';

import ViewProfile from './ViewProfile.js';

const matchStateToProps = (state) => {
    const commonProps = matchCommonStateProps(state);
    const profile = getProfile(state);

    return {
        ...commonProps,
        fullName: profile.get('fullName'),
    };
};

export default connect(
    matchStateToProps,
    null,
)(ViewProfile);
